package com.tistory.antop;

import java.util.HashSet;
import java.util.Set;

public class Customer {

	private String id;
	private String name;
	private String pwd;
	private String tel;
	// customer 1:n support 관계를 가지는 필드
	private Set<Support> supports = new HashSet<Support>();
	
	public Customer() { }

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPwd() {
		return pwd;
	}

	public void setPwd(String pwd) {
		this.pwd = pwd;
	}

	public String getTel() {
		return tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public Set<Support> getSupports() {
		return supports;
	}

	private void setSupports(Set<Support> supports) {
		this.supports = supports;
	}

	// 문의 추가
	public void addSupport(Support support) {
		if(getSupports() == null) {
			setSupports(new HashSet<Support>());
		}
		// customer -> support 참조
		getSupports().add(support);
		// support -> customer 참조
		support.setCustomer(this);
	}
	
	// 문의 삭제
	public void delSupport(Support support) {
		getSupports().remove(support);
	}
	
	// 문의 비우기
	public void clearSupports() {
		getSupports().clear();
	}
	
}
