package com.tistory.antop;

import java.util.HashSet;
import java.util.Set;

public class Support {

	private int id;
	private String title;
	private String contents;
	// customer 1:n support 관계를 가지는 필드
	private Customer customer;
	// support 1:n reply 관계를 가지는 필드
	private Set<Reply> replys = new HashSet<Reply>();
	
	public Support() { }

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContents() {
		return contents;
	}

	public void setContents(String contents) {
		this.contents = contents;
	}

	public Customer getCustomer() {
		return customer;
	}

	public void setCustomer(Customer customer) {
		this.customer = customer;
	}

	public Set<Reply> getReplys() {
		return replys;
	}

	private void setReplys(Set<Reply> replys) {
		this.replys = replys;
	}

	// 답변 추가
	public void addReply(Reply reply) {
		if(getReplys() == null) {
			setReplys(new HashSet<Reply>());
		}
		// support -> reply 참조
		getReplys().add(reply);
		// reply -> support 참조
		reply.setSupport(this);
	}
	
	// 답변 삭제
	public void delReply(Reply reply) {
		getReplys().remove(reply);
	}
	
	// 답변 비우기
	public void clear() {
		getReplys().clear();
	}
	
}
